/*
 * sar: report system activity
 * (C) 1999 - Sebastien Godard <sebastien.godard@wanadoo.fr>
 */

#ifndef _SAR_H
#define _SAR_H

/* Define activities */
#define A_FORK		0x01
#define A_CTXSW		0x02
#define A_CPU		0x04
#define A_INT		0x08
#define A_PAGE		0x10
#define A_SWAP		0x20
#define A_IO		0x40

#define GET_FORK(m)	(((m) & A_FORK) == A_FORK)
#define GET_CTXSW(m)	(((m) & A_CTXSW) == A_CTXSW)
#define GET_CPU(m)	(((m) & A_CPU) == A_CPU)
#define GET_INT(m)	(((m) & A_INT) == A_INT)
#define GET_PAGE(m)	(((m) & A_PAGE) == A_PAGE)
#define GET_SWAP(m)	(((m) & A_SWAP) == A_SWAP)
#define GET_IO(m)	(((m) & A_IO) == A_IO)

/* Files */
#define STAT		"/proc/stat"
#define UPTIME		"/proc/uptime"
#define SA_DIR		"/var/log/sa"


#define DT_TIME		0
#define DT_DATE		1
#define DT_DAY		2

#define DEF_TMSTART	"08:00:00"
#define DEF_TMEND	"18:00:00"

#define MAX_LINE_LEN	2336
#define MAX_FILE_LEN	256
#define BUF_SIZE	2336

#define NR_DISK		4

#define DIGITS		"0123456789"
#define XDIGITS		"-0123456789"
/* 
 * System activity daily file magic number
 * (will vary when file format changes)
 */
#define SA_MAGIC	0x015a

#define HEADER_SIZE	(20 + sizeof(long))
#define ENTRY_SIZE	(sizeof(int) * (14 + NR_IRQS) + sizeof(long) * 2)

/*
 * Note: system activity file structure
 * 
 * bytes(dec)
 * ----------
 * 00-01: File magic number
 * 02-11: Date
 * 12-19: Time
 * 20-23: Interval
 * 24-xx: Entry 1 (binary data)
 */
#endif

